-- création de la table (id hotel, nom hotel, 
-- 	chaine, adresse, code postal, categorie, nbre chambres,
-- 	site web, tel)

DROP TABLE IF EXISTS note;
DROP TABLE IF EXISTS client;
DROP TABLE IF EXISTS hotel;

CREATE TABLE hotel(
	id_hotel SERIAL,
	nom_hotel VARCHAR(50) NOT NULL,
	chaine VARCHAR(50) DEFAULT NULL,
	adresse VARCHAR(50) NOT NULL,
	code_postal INT NOT NULL,
	categorie CHAR (15) DEFAULT NULL,
	nbre_chambres INT DEFAULT NULL,
	site_web VARCHAR(100) DEFAULT NULL,
	tel VARCHAR(15) NOT NULL,
	PRIMARY KEY(id_hotel),
	CONSTRAINT code_postal CHECK (code_postal 
		IN (76310, 76600, 76610, 76620))
);

-- insertion des hôtels

INSERT INTO hotel (nom_hotel, chaine, adresse, code_postal, categorie, nbre_chambres, site_web, tel) VALUES
('Hôtel Carmin', 'Citotel', '15 rue Georges Braques', 76600, '3 étoiles', 21, 'www.hotelcarmin.com/', '02 32 74 08 20'),
('Ibis Budget', 'Ibis', '38 rue Docteur Piasceki', 76600, '2 étoiles', 43, 'https://www.accorhotels.com', '0 892 68 06 74'),
('Mercure', 'Mercure', 'chaussée Georges Pompidou', 76600, '4 étoles', 85, 'https://www.accorhotels.com', '02 35 19 50 50'),
('Campanile', 'Campanile', '126 cours de la Rébublique', 76600, '3 étoiles', 13, 'www.campanile-le-havre-centre.fr/fr', '02 61 52 02 50'),
('Le Petit Vatel', 'Contact Hôtel', '86 rue Louis Brindeau', 76600, '2 étoiles', 22, 'www.lepetitvatel.com/', '02 35 41 72 07'),
('Nomad Hotel Le Havre', 'Nomad Hotel', '5 rue Magellan', 76600, '3 étoiles', 106, 'http://www.nomad-hotels.com', '02 30 30 76 76'),
('Ibis Le Havre Centre', 'Ibis', 'Rue du 129eme Regiment d''Infanterie', 76600, '3 étoiles', 116, 'https://www.accorhotels.com', '02 35 22 29 29'),
('Oscar Hotel', 'Oscar Hotel', '106 Rue voltaire', 76600, '2 étoiles', 11, 'http://www.hotel-oscar.fr/', '02 35 42 39 77'),
('Hotel Vent d’Ouest', 'Vent d’Ouest', '4 rue de Caligny', 76600, '4 étoiles', 35, 'https://ventdouest.fr/fr/', '02 35 42 50 69'),
('Première Classe ', 'Première Classe', 'Rue Nungesser et Coli,', 76600, '2 étoiles', 85, 'https://www.premiereclasse.com/fr', '02 61 52 01 87'),
('Eklo Hotels Le Havre', 'Eklo Hotel', '466 Avenue du Bois au Coq,', 76620, '3 étoiles', 98, 'https://www.eklohotels.com/', '02 35 42 27 33'),
('Novotel Le Havre Centre Gare', 'Novotel', '20 cours la Fayette Quai Colbert', 76600, '4 étoiles', 134, 'https://www.hotel-novotel-lehavre.com/fr/', '02 35 19 23 23'),
('Kyriad Le Havre Centre Kyriad', 'Kyriad', 'Quai Colbert', 76600, '3 étoiles', 86, 'https://www.kyriad.com/fr/hotels/kyriad-le-havre-centre', '02 35 26 49 49'),
('Hôtel des Phares Logis', 'Logis', '29 Rue du Général de Gaulle', 76310, '2 étoiles', 25, 'http://www.hoteldesphares.com/', '02 35 46 31 86'),
('Adagio Access Le Havre', 'Adagio', '66 rue de l Aviateur Guerin', 76600, '3 étoiles', 111, 'https://www.adagio-city.com', '02 32 92 97 00'),
('Comfort Hotel d''Angleterre', 'Comfort Hotel', '1 rue Louis Philippe', 76600, '3 étoiles', 25, 'https://www.choicehotels.fr', '02 35 42 48 42'),
('Les voiles', 'Logis', '3 Place Clemenceau', 76310, '3 étoiles', 17, 'http://www.hotel-lesvoiles.com/', '02 35 54 68 90'),
('Residence La Fregate', 'La Fregate', 'Residence Fregates 76 rue Charles Laffitte', 76600, '1 étoiles', 65, 'http://www.hotelresidence-lafregate.com/', '02 35 24 57 57'),
('Ibis Styles le Havre Centre', 'Ibis', '121 rue de Paris ', 76600, '3 étoiles', 37, 'https://www.accorhotels.com/', '02 35 41 72 48'),
('B&B Hotel Le Havre Centre Gare', 'B&B Hotel ', '13 cours de la République', 76600, '3 étoiles', 37, 'https://www.hotel-bb.com/fr/', '08 90 10 67 11'),
('Qualys-Hotel Le Havre Oceane ', 'Qualys-Hotel', '23 cours de la Republique', 76600, '3 étoiles', 40, 'https://www.qualys-hotel.com/', '02 35 25 42 48'),
('Best Western ARThotel', 'ARThotel', '147 Rue Louis-Brindeau', 76600, '3 étoiles', 31, 'https://www.art-hotel.fr/fr/', '02 35 22 69 44'),
('Hotel Sejour Fleuri', 'Sejour FLeuri', '71 rue émile zola', 76600, '2 étoiles', 23, 'http://www.hotelsejourfleuri.com/', '02 35 41 33 81'),
('Le Richelieu', 'Le Richelieu', ' 132 Rue de Paris', 76600, '2 étoiles', 19, 'http://www.hotellerichelieu.fr/', '02 35 42 38 71'),
('Les Gites Du Monde Le Havre', '', '75 rue Jean Jacques Rousseau', 76600, '', 6, 'http://www.lesgitesdumonde.com/index.php', '06 21 04 28 17'),
('1872 Stadium HOtel', 'Stadium Hotel', 'Boulevard de Leningrad ', 76600, '4 étoiles', 20, 'https://www.1872stadiumhotel.com/', '02 35 13 14 15'),
('Les Gens de Mer -Le Havre', 'Popinns', '44 rue Voltaire', 76600, '2 étoiles', 105, 'https://gdmlehavre.popinns.com/', '02 35 41 35 32'),
('Anatole France Hotel', '', '104 Rue Anatole France', 76600, '', 18, '', '02 34 00 03 32'),
('Residence Hoteliere de l''Estuaire', 'L''Hoteliere de l''Estuaire', '92 Rue Anatole France', 76600, '', 14, 'http://lhotelieredelestuaire.com/index.html', '02 32 85 51 73'),
('Hotel le Green', 'Le Green', '209 boulevard de Strasbourg', 76600, '2 étoiles', 17, 'http://www.hotel-le-green.fr/', '02 35 22 63 10'),
('Appart''City Le Havre', 'Appart''City', '23, Rue Fénelon', 76600, '2 étoiles', 87, 'https://www.appartcity.com/', '02 35 11 32 40'),
('Residence Hoteliere du Havre', '', '19 cours de la Republique', 76600, '1 étoile',39, 'http://www.residencehoteliereduhavre.com/', '02 32 92 10 00'),
('La Baraka', '', '213 Boulevard de Strasbourg', 76600, '', 28, '', '02 35 25 15 15');

-- création de la table client client (id client, nom client, source)

CREATE TABLE client(
	id_client SERIAL,
	nom_client VARCHAR(30) NOT NULL,
	source VARCHAR(30) NOT NULL,
	PRIMARY KEY(id_client)
);

-- insertion des clients

INSERT INTO client (nom_client, source) VALUES
('302denisf', 'tripadvisor'),
('valeriedepol2018', 'tripadvisor'),
('Gema L', 'tripadvisor'),
('Trek44032626117', 'tripadvisor'),
('GeorgesLJ2018', 'tripadvisor'),
('lacharettecreole', 'tripadvisor'),
('344andr_l', 'tripadvisor'),
('ptitline', 'tripadvisor'),
('619estelleg', 'tripadvisor'),
('Philippe', 'booking'),
('Frédéric', 'booking'),
('Anonyme', 'booking'),
('Annette', 'booking'),
('Jean-marc', 'booking'),
('Muriel', 'booking'),
('Annyck', 'booking'),
('Catherine', 'booking'),
('Emmanuelle', 'booking'),
('azeddine', 'expedia'),
('Josep', 'expedia'),
('Helena', 'expedia'),
('Cornelia', 'expedia'),
('natty', 'expedia'),
('Vincent', 'expedia'),
('Roland', 'expedia'),
('gerhard', 'expedia'),
('Johan', 'expedia'),
('jejeorillard', 'tripadvisor'),
('Corentin R', 'tripadvisor'),
('SevAmelie5', 'tripadvisor'),
('jean b', 'tripadvisor'),
('Noxi90', 'tripadvisor'),
('Adrien B', 'tripadvisor'),
('Odyssey134447', 'tripadvisor'),
('Meander12672753996', 'tripadvisor'),
('565pierret', 'tripadvisor'),
('Stéphanie', 'booking'),
('L76600', 'booking'),
('Aissetou', 'booking'),
('Jean-claude', 'booking'),
('Caterina', 'booking'),
('Claude', 'booking'),
('Martine', 'booking'),
('Gabrielle', 'booking'),
('Régis', 'booking'),
('Anmich ', 'expedia'),
('benjamin', 'expedia'),
('Frédéric', 'expedia'),
('Rachel ', 'expedia'),
('ROCHA', 'expedia'),
('Isabelle', 'expedia'),
('marilyne ', 'expedia'),
('CHRISTIAN', 'expedia'),
('Nathalie', 'expedia'),
('Pascal M', 'tripadvisor'),
('Quest29507442422', 'tripadvisor'),
('alice c', 'tripadvisor'),
('Radia K', 'tripadvisor'),
('brice0431', 'tripadvisor'),
('Jnvpdtpb0', 'tripadvisor'),
('Flyer23989101891', 'tripadvisor'),
('Florence R', 'tripadvisor'),
('LN c', 'tripadvisor'),
('Emmanuelle', 'booking'),
('Catherine', 'booking'),
('Cecile', 'booking'),
('Sombart', 'booking'),
('Guillaume', 'booking'),
('Céline', 'booking'),
('Christophe', 'booking'),
('Olivier', 'booking'),
('Yves', 'booking'),
('miko', 'expedia'),
('Nadia', 'expedia'),
('NATHALIE', 'expedia'),
('Gregory P', 'tripadvisor'),
('jean marie ', 'expedia'),
('BIBI', 'expedia'),
('jouppy', 'expedia'),
('Katja ', 'expedia'),
('Nathalie', 'expedia'),
('FABIENNE', 'tripadvisor'),
('Deldam1984', 'tripadvisor'),
('Richris13', 'tripadvisor'),
('Allegra B', 'tripadvisor'),
('Laura G', 'tripadvisor'),
('Didigirl46', 'tripadvisor'),
('Tina B', 'tripadvisor'),
('Stay34787601166', 'tripadvisor'),
('Dominique T', 'tripadvisor'),
('Laura_P0208', 'tripadvisor'),
('Liselea C', 'tripadvisor'),
('Peter7518', 'tripadvisor'),
('sherley d', 'tripadvisor'),
('normacochet', 'tripadvisor'),
('Matthieu C', 'tripadvisor'),
('TOURE77', 'tripadvisor');

-- création de la table note (#id hotel, #id client, 
--	note, commentaire).

CREATE TABLE note (
	id_client SERIAL,
	id_hotel SERIAL,
	note FLOAT NOT NULL,
	commentaire TEXT DEFAULT NULL,
	FOREIGN KEY (id_client) REFERENCES client(id_client),
	FOREIGN KEY (id_hotel) REFERENCES hotel(id_hotel),
	PRIMARY KEY (id_client, id_hotel)
);

-- insertion des notes des client sur les hôtels

INSERT INTO note (id_client, id_hotel, note, commentaire) VALUES
(1, 1, 5, 'Hotel avec litterie très confortable et chambres silencieuses.'),
(2, 1, 5, 'Accueil très sympatique,'),
(3, 1, 2, 'réception fermée quand je vais dans un hôtel pendant la journée.'),
(4, 2, 4, 'agréablement surpris au niveau qualité prix. '),
(5, 2, 5, 'Très bon accueil, bon rapport qualité/prix, bien situé et facile d''accès,'),
(6, 2, 2, 'Manifestement , un très vieil immeuble racheté par Accord,'),
(7, 3, 5, 'Très confortable le personnel est accueillant et chaleureux.'),
(8, 3, 4, 'Hôtel super bien placé. Chambre confortable et petit déjeuner très bon. '),
(9, 3, 2, 'Cet hôtel n''est absolument pas à la hauteur d''un 4étoiles. '),
(10, 4, 4.6, 'Très bon établissement bien tenu. Bon séjour. '),
(11, 4, 4.6, 'Très bon hôtel.'),
(12, 4, 4.3, 'Impeccable'),
(13, 5, 4.6, 'Très bon rapport qualité/prix '),
(14, 5, 3.95, 'Très bien situé, prix raisonnable, chambre très calme '),
(15, 5, 4.6, 'Très bonne halte en plein centre du havre '),
(16, 6, 4.15, 'Hôtel bien adapté pour un court séjour'),
(17, 6, 5, 'Super sejour'),
(18, 6, 4.6, 'Hôtel très agréable et bien situé, personnel accueillant'),
(19, 7, 5, 'Buena opcion calidad precio y en casi pleno centro '),
(20, 7, 3, 'Buena opcion calidad precio y en casi pleno centro '),
(21, 7, 5, 'Buen hotel para visitar Le Havre '),
(22, 8, 4, 'Bien'),
(23, 8, 5, 'Excellent'),
(24, 8, 4, 'Vintage bien '),
(25, 9, 4, 'Bien '),
(26, 9, 5, 'Sehr gepflegtes Hotel '),
(27, 9, 4, 'A nice small hotel in Le Havre '),
(28, 10, 4, 'Globalement bon séjour'),
(29, 10, 2, 'L’isolation sonore à revoir'),
(30, 10, 4, 'Bon hôtel'),
(31, 11, 5, 'à découvrir'),
(32, 11, 4, 'Très bien pour passer 1 nuit ou 2'),
(33, 11, 3, 'Assez bien'),
(34, 12, 2, 'En travaux'),
(35, 12, 3, 'Restaurant TRES décevant'),
(36, 12, 4, 'Une bonne surprise'),
(37, 13, 4.4, 'Superbe '),
(38, 13, 3.55, 'Bien'),
(39, 13, 3.1, 'Agréable '),
(40, 14, 4.15, 'Très bien '),
(41, 14, 3.1, 'Agréable '),
(42, 14, 4.15, 'Très bien '),
(43, 15, 4.4, 'Très bon séjour et logement bien adapté pour deux. '),
(44, 15, 4.7, 'Exceptionnel '),
(45, 15, 3.95, 'Très bon plan pour un budget correct. '),
(46, 16, 4, 'hôtel tranquille et bien situé '),
(47, 16, 3, 'ok'),
(48, 16, 4, 'Bien'),
(49, 17, 4, 'Friendly small hotel with sea view '),
(50, 17, 5, 'Excellent'),
(51, 17, 4, 'Bien'),
(52, 18, 3, 'sejour au havre '),
(53, 18, 2, 'Décevant'),
(54, 18, 3, 'Accueil chaleureux, mais la chambre était sale. '),
(55, 19, 4, 'Avis sur la décoration'),
(56, 19, 5, 'Situation idéale pour un sejour Centre Ville'),
(57, 19, 4, 'Très bien. Central et ambiance Perret !'),
(58, 20, 4, 'Bien situé....pas loin du havre ou montvilliers. '),
(59, 20, 4, 'Visite de la normandie'),
(60, 20, 4, 'Séjour à 4 pour 2jours'),
(61, 21, 5, 'Au top'),
(62, 21, 3, 'Sans plus, la moyenne'),
(63, 21, 5, 'Parfait !'),
(64, 22, 4.7, 'Lit très confortable '),
(65, 22, 3.1, 'Un petit effort sur ces trois points et cela serait top'),
(66, 22, 4.6, 'Chambre spacieuse et vue magnifique'),
(67, 23, 4.4, 'accueil très chaleureux (et littéraire) de la patronne.'),
(68, 23, 4.6, 'Impec ! '),
(69, 23, 4.15, 'Très bien'),
(70, 24, 3.95, 'tarif et confort en cohésion proximité avec le centre ville '),
(71, 24, 4.6, 'Un très agréable séjour '),
(72, 24, 3.95, 'Une bonne adresse au Havre! '),
(73, 25, 4, 'nice boutique hotel '),
(74, 25, 5, 'Agréablement surprise du décor de l''appartement '),
(75, 25, 5, 'Très favorable '),
(76, 26, 5, 'Une première dans un stade en France'),
(77, 27, 5, 'HOTEL TRE BIEN SITUE '),
(78, 27, 2, 'vraiment rien à dire sur cet hotel '),
(79, 27, 5, 'Visite Du Havre '),
(80, 28, 3, 'Billigt '),
(81, 28, 1, 'très mauvais rapport qualité prix '),
(82, 28, 1, 'nul'),
(83, 29, 4, 'Rapport qualité prix OK'),
(84, 29, 3, 'On trouve mieux pour le même prix '),
(85, 29, 1, 'SCANDALEUX'),
(86, 30, 1, 'Hôtel à ne pas conseiller'),
(87, 30, 1, 'Insalubre - À éviter '),
(88, 30, 1, 'Le piiiiiiiiiiiiiiiire hôtel que j''ai visité'),
(89, 31, 5, 'calme et bien situé'),
(90, 31, 4, 'TRES BON RAPPORT QUALITE PRIX'),
(91, 31, 2, 'Plus jamais…'),
(92, 32, 1, 'Découverte du havre'),
(93, 32, 4, 'Simple mais efficace. '),
(94, 32, 1, 'A fuir !!! Une véritable honte !'),
(95, 33, 1, 'Séjour pour la transat Jacques Vabre'),
(96, 33, 1, 'Accueil déplorable'),
(97, 33, 2, 'PORTE DE DOUCHE CASSE ET LUNETTE DE WC AUSSI');
